/**	\file readconf.cpp
 **	\date  2008-05-26
 **	\author grymse@alhem.net
**/
/*
Copyright (C) 2008-2009  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#include <Sockets/XmlDocument.h>
#include <Sockets/XmlNode.h>
#include <Sockets/Exception.h>
#include "conf.h"
#include <iostream>

int main(int argc, char *argv[])
{
	try
	{
		XmlDocument doc("conf.xml");
		XmlNode n(doc);
		AJP13::net_alhem_1_0_server::Configuration_t conf(n);
		printf("%s\n", conf.GetRootDir().c_str());
		printf("%s\n", conf.GetHosts().GetDefaultHost().ToString("defaultHost").c_str());
		std::list<AJP13::net_alhem_1_0_server::Hosts::Host_t>& ref = conf.GetHosts().GetHost();
		for (std::list<AJP13::net_alhem_1_0_server::Hosts::Host_t>::const_iterator it = ref.begin(); it != ref.end(); it++)
		{
			printf("  %s\n", (*it).GetName().c_str());
			printf("%s\n\n", (*it).ToString("host").c_str());
		}
	}
	catch (const Exception& e)
	{
		std::cout << e.ToString() << std::endl;
	}
}


